Bug 116318 - oops from x86_64 kernel 2166
oops from x86_64 kernel 2166
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 19:01 EST by Seth Vidal
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2004-02-19 19:01:06 EST
Description of problem:
Unable to handle kernel NULL pointer dereference<1> at
0000000000000000 RIP: [<ffffffff802c5810>]{strlen+0}PML4 239eb067 PGD
24f44067 PMD 0
Oops: 0000
Pid: 18015, comm: spin1000f Not tainted
RIP: 0010:[<ffffffff802c5810>]{strlen+0}
RSP: 0000:0000010023a797c0  EFLAGS: 00010203
RAX: 0000000000000b00 RBX: 0000010023a79d00 RCX: 000001003b93bcf8
RDX: 0000000000000004 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000cf8 R08: 0000000000000040 R09: 0038004000000000
R10: 0000000000000011 R11: 0000000000000040 R12: 0000010023a79cb8
R13: 0000010023a79d38 R14: 00000000000003f8 R15: 0000010023a79ac8
FS:  0000002a9555ec20(0000) GS:ffffffff80574e40(0000)
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 000000003ff66000 CR4: 00000000000006e0
Process spin1000f (pid: 18015, stackpage=10023a79000)
Stack: 0000010023a797c0 0000000000000000 ffffffff8018598c 0000000000000004
       ffffffff801865cc 0000000000000216 0000010023b02000 0000000000000000
       ffffffffa009084f 0000000000000000 0000010023b021f8 00000000251e0450
Call Trace: [<ffffffff8018598c>]{notesize+12}
Code: 80 3f 00 48 89 f8 74 08 48 ff c0 80 38 00 75 f8 48 29 f8 c3
RIP [<ffffffff802c5810>]{strlen+0} RSP <0000010023a797c0>
CR2: 0000000000000000

Afaict the system was doing nothing then issued this oops.
It's still running, appears to be running normally even now.

I'd be interested in knowing where this oops comes from though.

This is an arima hdama motherboard with 1 or 2gb of ram and 2 opteron
242 processors.

kernel is:
Linux lqcd09 2.4.22-1.2166.nptlsmp #1 SMP Fri Jan 30 13:37:28 EST 2004
x86_64 x86_64 x86_64 GNU/Linux

Comment 1 David Lawrence 2004-09-29 16:07:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.